{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.cc_alien.boss_alien.crash_on_damage": {
      "states": {
        "default": {
          "transitions": [
            {
              "crashed": "(query.health \u003c\u003d 10)"
            }
          ]
        },
        "crashed": {
          "animations": [
            "wait_15sec"
          ],
          "on_entry": [
            "@s on_crash"
          ],
          "transitions": [
            {
              "despawn": "query.all_animations_finished"
            }
          ]
        },
        "despawn": {
          "on_entry": [
            "/kill @s"
          ]
        }
      }
    },
    "controller.animation.cc_alien.boss_alien.summon_beacon": {
      "states": {
        "default": {
          "transitions": [
            {
              "already_summoned": "((query.property(\u0027cc_alien:beacon_summoned\u0027)) || query.is_baby)"
            },
            {
              "taken_damage": "(query.property(\u0027cc_alien:has_taken_damage\u0027))"
            }
          ]
        },
        "taken_damage": {
          "animations": [
            "wait_7s"
          ],
          "transitions": [
            {
              "already_summoned": "((query.property(\u0027cc_alien:beacon_summoned\u0027)) || query.is_baby)"
            },
            {
              "default": "(!query.has_target \u0026\u0026 query.all_animations_finished)"
            },
            {
              "summon_0": "(query.all_animations_finished \u0026\u0026 query.variant \u003d\u003d 0)"
            },
            {
              "summon_1": "(query.all_animations_finished \u0026\u0026 query.variant \u003d\u003d 1)"
            },
            {
              "summon_2": "(query.all_animations_finished \u0026\u0026 query.variant \u003d\u003d 2)"
            },
            {
              "summon_3": "(query.all_animations_finished \u0026\u0026 query.variant \u003d\u003d 3)"
            },
            {
              "summon_4": "(query.all_animations_finished \u0026\u0026 query.variant \u003d\u003d 4)"
            },
            {
              "summon_5": "(query.all_animations_finished \u0026\u0026 query.variant \u003d\u003d 5)"
            },
            {
              "summon_6": "(query.all_animations_finished \u0026\u0026 query.variant \u003d\u003d 6)"
            },
            {
              "summon_7": "(query.all_animations_finished \u0026\u0026 query.variant \u003d\u003d 7)"
            }
          ]
        },
        "summon_0": {
          "animations": [
            "wait_7s"
          ],
          "on_entry": [
            "@s on_beacon_summoned",
            "/summon cc_alien:alien_beacon_ufo_1 ~ ~ ~"
          ],
          "transitions": [
            {
              "already_summoned": "((query.all_animations_finished || (query.property(\u0027cc_alien:beacon_summoned\u0027))) || query.is_baby)"
            }
          ]
        },
        "summon_1": {
          "animations": [
            "wait_7s"
          ],
          "on_entry": [
            "@s on_beacon_summoned",
            "/summon cc_alien:alien_beacon_ufo_2 ~ ~ ~"
          ],
          "transitions": [
            {
              "already_summoned": "((query.all_animations_finished || (query.property(\u0027cc_alien:beacon_summoned\u0027))) || query.is_baby)"
            }
          ]
        },
        "summon_2": {
          "animations": [
            "wait_7s"
          ],
          "on_entry": [
            "@s on_beacon_summoned",
            "/summon cc_alien:alien_beacon_ufo_3 ~ ~ ~"
          ],
          "transitions": [
            {
              "already_summoned": "((query.all_animations_finished || (query.property(\u0027cc_alien:beacon_summoned\u0027))) || query.is_baby)"
            }
          ]
        },
        "summon_3": {
          "animations": [
            "wait_7s"
          ],
          "on_entry": [
            "@s on_beacon_summoned",
            "/summon cc_alien:alien_beacon_ufo_4 ~ ~ ~"
          ],
          "transitions": [
            {
              "already_summoned": "((query.all_animations_finished || (query.property(\u0027cc_alien:beacon_summoned\u0027))) || query.is_baby)"
            }
          ]
        },
        "summon_4": {
          "animations": [
            "wait_7s"
          ],
          "on_entry": [
            "@s on_beacon_summoned",
            "/summon cc_alien:alien_beacon_ufo_5 ~ ~ ~"
          ],
          "transitions": [
            {
              "already_summoned": "((query.all_animations_finished || (query.property(\u0027cc_alien:beacon_summoned\u0027))) || query.is_baby)"
            }
          ]
        },
        "summon_5": {
          "animations": [
            "wait_7s"
          ],
          "on_entry": [
            "@s on_beacon_summoned",
            "/summon cc_alien:alien_beacon_ufo_1 ~ ~ ~"
          ],
          "transitions": [
            {
              "already_summoned": "((query.all_animations_finished || (query.property(\u0027cc_alien:beacon_summoned\u0027))) || query.is_baby)"
            }
          ]
        },
        "summon_6": {
          "animations": [
            "wait_7s"
          ],
          "on_entry": [
            "@s on_beacon_summoned",
            "/summon cc_alien:alien_beacon_ufo_2 ~ ~ ~"
          ],
          "transitions": [
            {
              "already_summoned": "((query.all_animations_finished || (query.property(\u0027cc_alien:beacon_summoned\u0027))) || query.is_baby)"
            }
          ]
        },
        "summon_7": {
          "animations": [
            "wait_7s"
          ],
          "on_entry": [
            "@s on_beacon_summoned",
            "/summon cc_alien:alien_beacon_ufo_3 ~ ~ ~"
          ],
          "transitions": [
            {
              "already_summoned": "((query.all_animations_finished || (query.property(\u0027cc_alien:beacon_summoned\u0027))) || query.is_baby)"
            }
          ]
        },
        "already_summoned": {}
      }
    }
  }
}